首页 体育 教育 财经 社会 娱乐 军事 国内 科技 互联网 房产 国际 女人 汽车 游戏

英伟达工程师为早期树莓派设备提供 Vulkan 支持

(来源:网站编辑 2020-06-23 19:04)
文章正文

今年年初时,Raspberry Pi 基King会start为 Raspberry Pi 提供 Vulkan 驱动程序的支持,目前这一work仍在进行中,但仅限于 Raspberry Pi 4 及future的版本。从 Raspberry Pi 1 到 Raspberry Pi 3 Model B+,早期的版本没有这项功能。

为此,一位名为 马丁 托玛士 的开发者编写了一套用于早期设备中的 VideoCore IV GPU 的 Vulkan 驱动程序。VideoCore 4 不完全符合 Vulkan,但这套低级 Vulkan 驱动程序最终成功启动了,它实现了 Vulkan 标准的子集。

马丁 托玛士 是 NVIDIA 的图形工程师,他在过去两年中利用业余time断断续续开发了该程序:RPi-VK-D河流。前两天,托玛士 本人宣布 RPi-VK-D河流 达到 1.0 版本。

根据 托玛士 的介绍,与 O钢笔GL 驱动程序相比,它有着更快的速度、更好的性能。这得益于精确且可预测的内存管理和多线程命令提交。

RPi-VK-D河流 还提供了更广泛的功能集,例如 MSAA 支持、低级组件着色器和性能计数器。不过,它当前还不支持 GLSL 着色器。囿于硬件版本,还存在一些其他限制。托玛士 表示会在硬件允许的范围内尽可能严格地遵循 Vulkan 标准。

文章评论
首页
评论
分享
Top